Last Comment Bug 806408 - Update MDN app manifest docs for installs_allowed_from - paid apps usage and Mozilla openness
: Update MDN app manifest docs for installs_allowed_from - paid apps usage and ...
Status: RESOLVED FIXED
u=dev c=doc p=2
: dev-doc-complete, verifyme
Product: Developer Ecosystem
Classification: Other
Component: Web Components (show other bugs)
: unspecified
: All All
: -- normal
: ---
Assigned To: Mark Giffin [:markg]
:
:
Mentors:
Depends on:
Blocks: Apps-Dev-Doc-Needed
  Show dependency treegraph
 
Reported: 2012-10-29 09:07 PDT by Jason Smith [:jsmith]
Modified: 2013-06-08 01:23 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Jason Smith [:jsmith] 2012-10-29 09:07:36 PDT
See https://bugzilla.mozilla.org/show_bug.cgi?id=804634#c20. Basically, we need to update our app manifest documentation for installs_allowed_from to explain when it's good to use it for a paid app vs. when it's frowned upon to use it.
Comment 1 Gervase Markham [:gerv] 2012-10-30 04:26:44 PDT
To summarize: it's necessary to have it for paid apps because the app author will want to list those stores with whom he has a commercial relationship and so will actually get paid. However, it's actively harmful for free apps because it prevents the growth of alternative app stores, which is something Mozilla wishes to promote, in contrast to the closed and centralized ecosystems of the other mobile players. So we should suggest people use it for paid apps, and encourage them not to use it for free ones.

Gerv
Comment 2 Mark Giffin [:markg] 2012-10-31 13:43:08 PDT
I will take this. But when will payments be implemented in the Marketplace again? Last I heard you could not do payments.
Comment 3 Jason Smith [:jsmith] 2012-10-31 17:07:10 PDT
(In reply to Mark Giffin from comment #2)
> I will take this. But when will payments be implemented in the Marketplace
> again? Last I heard you could not do payments.

It's actively being worked on with mozPay and Bango integration. There will be paid apps for v1.
Comment 4 Mark Giffin [:markg] 2013-06-07 20:22:50 PDT
I added this info to the installs_allowed_from docs here:

https://developer.mozilla.org/en-US/docs/Web/Apps/Manifest#installs_allowed_from

It should be fixed, please verify.
Comment 5 Gervase Markham [:gerv] 2013-06-08 01:23:26 PDT
This is great - thanks :-)

Gerv

Note You need to log in before you can comment on or make changes to this bug.